"use strict";
const BILL_information_template_model = require("./model.js");
const method = {
  handleSelect(idx, e) {
    var _a, _b, _c, _d;
    let arr = [];
    let is = (_c = (_b = (_a = BILL_information_template_model.useModel) == null ? void 0 : _a.selectType) == null ? void 0 : _b.value[idx]) == null ? void 0 : _c.is_select;
    BILL_information_template_model.useModel.selectType.value[idx].is_select = !is;
    (_d = BILL_information_template_model.useModel.selectType.value) == null ? void 0 : _d.map((res) => {
      if (res == null ? void 0 : res.is_select) {
        arr == null ? void 0 : arr.push(e == null ? void 0 : e.type);
      }
    });
    BILL_information_template_model.useModel.selectEdType.value = arr;
    console.log(idx, "e");
  },
  handleInit() {
    BILL_information_template_model.useModel.selectEdType.value = ["SMS", "MiniProgram", "OfficialAccount"];
    BILL_information_template_model.useModel.selectType.value = [
      {
        label: "小程序催缴通知",
        des: "覆盖范围：仅限完成小程序订阅授权且保持通知开启状态的客户。",
        is_select: true,
        type: "MiniProgram"
      },
      {
        label: "公众号催缴通知",
        des: "覆盖范围：限定已关注物业服务公众号的客户。",
        is_select: true,
        type: "OfficialAccount"
      },
      {
        label: "发送短信通知",
        des: "该方式实现近100%客户触达",
        subDes: "（注：需号码状态正常且未设置短信拦截）",
        tab: "100%触达",
        is_select: true,
        type: "SMS"
      }
    ];
  }
};
exports.method = method;
